/*
 * @Author: your name
 * @Date: 2024-05-20 09:36:55
 * @LastEditTime: 2024-05-20 15:50:56
 * @LastEditors: bogon
 * @Description: In User Settings Edit
 * @FilePath: /performance-test/src/api/system.js
 */
import request from "@/utils/request";
//用户退出登录

export function userLogout(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/userLogout",
    method: "post",
    data,
  });
}
export function getUserTableList(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/getUserByName",
    method: "post",
    data,
  });
}
//用户启用
export function enableUser(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/enableUser",
    method: "post",
    data,
  });
}
//用户禁用
export function disableUser(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/disableUser",
    method: "post",
    data,
  });
}
//查看用户详情信息
export function getUserInfoByUserId(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/getUserInfoByUserId",
    method: "get",
    params: data,
  });
}
//修改用户密码
export function updatePWD(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/updatePWD",
    method: "post",
    data,
  });
}
//删除用户接口

export function deleteUserInfo(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/deleteUser",
    method: "post",
    data,
  });
}
//新增用户接口
export function addUser(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/addUser",
    method: "post",
    data,
  });
}
//编辑用户接口
export function editUser(data) {
  return request({
    url: "/energy-manage-service/sysuserinfo/updateUser",
    method: "post",
    data,
  });
}
//角色列表
///energy-manage-service/sysrole
export function getRoleTableList(data) {
  return request({
    url: "/energy-manage-service/sysrole/通过角色名称查询角色列表",
    method: "post",
    data,
  });
}
