export const orgList = [
  {
    name: "驾驶舱",
    id: "1",
    path: "cockpitManage",
    iconName: "gps",
    component: () => import("@/views/admin/cockpitManage/Index.vue"),
    children: [
      {
        id: 11,
        name: "电子地图",
        path: "electronic-map",
        component: () =>
          import("@/views/admin/cockpitManage/electronicMap.vue"),
      },
    ],
  },
  {
    name: "性能分析",
    id: "2",
    iconName: "analyse",
    component: () =>
      import("@/views/admin/performanceAnalysisManage/Index.vue"),
    children: [
      {
        id: 21,
        name: "新能分析评估",
      },
      {
        id: 22,
        name: "批次管理",
      },
    ],
  },
  {
    name: "数据管理",
    iconName: "dataManage",
    id: "3",
    children: [
      {
        id: 31,
        name: '数据操作',
        path: 'dataAdministration',
      }
    ]
  },
  {
    name: "台账管理",
    iconName: "Ledger",
    id: "4",
    children: [
      {
        id: 41,
        name: '企业信息',
        path: 'enterprise',
      },
      {
        id: 42,
        name: '风场信息',
        path: 'windsite',
      },
      {
        id: 43,
        name: '风机信息',
        path: 'draught',
      },
      {
        id: 44,
        name: '机型信息',
        path: 'milltype',
      },
      {
        id: 45,
        name: '测风塔信息',
        path: 'anemometer',
      }
    ]
  },
  {
    name: "权限管理",
    iconName: "jurisdiction",
    id: "5",
    path: "system",
    component: () => import("@/views/system/index.vue"),
    children: [
      {
        id: 51,
        name: "用户管理",
        path: "userMag",
        component: () => import("@/views/system/userMag/index.vue"),
      },
      {
        id: 52,
        name: "角色管理",
        path: "roleMag",
        component: () => import("@/views/system/roleMag/index.vue"),
      },
      {
        id: 53,
        name: "菜单权限",
        path: "menuMag",
        component: () => import("@/views/system/menuMag/index.vue"),
      },
    ],
  },
];
export default {
  orgList,
};
